FROM eclipse-temurin:21

ENV MC_VERSION="latest" \
    MC_RAM="4G" \
    JAVA_OPTS=""
# PAPER_BUILD="latest"

ADD papermc.sh .
RUN apt update && apt install -y jq && \
 apt clean && rm -rf /var/lib/apt/lists/* && \
 mkdir /papermc

CMD ["sh", "./papermc.sh"]

EXPOSE 25565
VOLUME /papermc
